moBuyingStationsConfig = {};

function moBuyingStationsConfig:onStartMission()
	moBuyingStations:loadStations();
end;

function moBuyingStationsConfig:defaultValues()
	moBuyingStations.values = {stations={}, updateTimer=60, msec=false};
end;

function moBuyingStationsConfig:loadXml(self, Xml, xmlNameTag, file, isSaveGameIndex)
	if moBuyingStations.values == nil then moBuyingStationsConfig:defaultValues();end;
	local groupNameTag = (xmlNameTag.. ".module.buyingStations(%d)"):format(0);
	if getXMLBool(Xml, groupNameTag.. "#mSecTimer") ~= nil then
		moBuyingStations.values.msec = getXMLBool(Xml, groupNameTag.. "#mSecTimer");
	end;
	if getXMLInt(Xml, groupNameTag.. "#updateTimer") then
		moBuyingStations.values.updateTimer = getXMLInt(Xml, groupNameTag.. "#updateTimer");
	end;	
end;

function moBuyingStationsConfig:saveXml(self, Xml, xmlNameTag)
	if moBuyingStations.values == nil then moBuyingStationsConfig:defaultValues();end;
	----------------------------------------------------------------------------------------------
	local groupNameTag = (xmlNameTag.. ".module.buyingStations(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#updateTimer", moBuyingStations.values.updateTimer);
	setXMLBool(Xml, groupNameTag.. "#mSecTimer", moBuyingStations.values.msec);
	----------------------------------------------------------------------------------------------	
end;

function moBuyingStationsConfig.onSaveCallback()
	moSetGetClientSettings:saveConfig(self);
end;