buyingStationsSimple = {};

--needs module buyingStationsSimple
--lineType 1/buyingStations simple
function buyingStationsSimple:load()
	local lineTable = {lineTyp=1, txtScroll={leftRight=true,upDown=true}};
	lineTable[#lineTable+1] = {};
	local isLineTable = lineTable[#lineTable];				
	isLineTable.lineClickHelp = true;
	isLineTable.lineClickHelpCallback = buyingStationsSimple.returnLineHelpIconClick
	isLineTable.helpTxt = "Click StationName for MapHotSpot";
	isLineTable.txt = {};
	isLineTable.txt[1] = {color=moColors:getColor(moModule.values.txtColor), txt=moLanguageXml:getTxt("buyingstations", nil, "Shop:"), bold=true};	
	local deleteIndex = {};
	for index=1, #moModule.buyingStations do		
		if moModule.buyingStations[index] ~= nil then
			lineTable[#lineTable+1] = {};
			isLineTable = lineTable[#lineTable];			
			isLineTable.txt = {};
			isLineTable.txt[1] = {};
			if moModule:isObject(moModule.buyingStations[index].object) then
				isLineTable.txt[1].clickCallback = buyingStationsSimple.returnClickObjectName;
			end;
			isLineTable.txt[1].nodeId = moModule.buyingStations[index].object.nodeId;
			isLineTable.txt[1].color = moColors:getColor(moModule.values.txtTitleColor)
			isLineTable.txt[1].bold = moModule.values.txtBold;
			--isLineTable.txt[1].difSize = 0.001;
			local name = moModule.buyingStations[index].name;
			local languageXmlName = moLanguageXml:getTxt(string.lower(name), nil, name);
			if moBuyingStations.values.languageXml and not string.find(languageXmlName, "MISSING") then name = languageXmlName;end;
			isLineTable.txt[1].txt = tostring(name);
		end;
	end;	
	buyingStationsSimple.output = lineTable;	
end;

function buyingStationsSimple.returnLineHelpIconClick(...)	
	if ... ~= nil then		
		local args = ...;		
		if args.line ~= nil then
			moSetGetOverlays.infoHelpBox.help.lsTimer = -1;
			moSetGetOverlays.infoHelpBox.help.txt = tostring(buyingStationsSimple.output[args.line].helpTxt);
		end;
	end;
end;

function buyingStationsSimple.returnClickObjectName(...)
	if ... ~= nil then		
		local args = ...;
		if args ~= nil and args.line ~= nil then
			local nodeId = buyingStationsSimple.output[args.line].txt[1].nodeId;
			local x, _, z = getWorldTranslation(nodeId);
			moSetGetOverlays:mapHotSpot(nil, x, z);				
		end;		
	end;
end;

function buyingStationsSimple.giveOutputTable()	
	moModule.active.buyingStationsSimple.isRunning = true;moModule.active.buyingStationsSimple.last = moModule.time.min+moModule.time.delay;
	buyingStationsSimple:load();
	return buyingStationsSimple.output;	
end;

function buyingStationsSimple.reset(whichSLOT)
	if whichSLOT ~= nil and moSetGetOverlays.slot[whichSLOT] ~= nil then moSetGetOverlays.slot[whichSLOT].save = false;end;
	buyingStationsSimple:load();	
end;

function buyingStationsSimple:generateCmd()
	local _, errorTable = 0, {};
	local newCmdTable = { insert=true, cmdOldTable=MultiOverlayV3.moduleCmdTable, cmdTable = {} };	
	newCmdTable.cmdTable[1] = {
		cmdName = "buyingStationsSimple";
		displayName = "Alle Einkaufstationen Simple";		
		multiple = true;
		sortBy = "BuyingStations";
		infoTxt = "Zeigt alle Einkaufstationen an(simple)";
		helpTxt = "View Buying Stations (simple)";
		click = {mouseButtonLeft=true, mouseButtonMiddle=true, mouseButtonRight=true, key=true};
		lineTyp = 1;
		typ = "output";
		action = buyingStationsSimple.giveOutputTable; --a function
		ownValues = {}; 
	};	
	_, errorTable = moSetGetCmd:generateNewCmd(newCmdTable);	
	local errorPrint = false;
	if errorPrint and #errorTable > 0 then
		for a=1, #errorTable do
			print("! ERROR ! MultiOverlayV3 Hud -->cmd generate buyingStationsSimple Cmd error ".. tostring(a).. ": ".. tostring(errorTable[a]))
		end;
	end;
end;